---
title: "Returns BoSS data which is relevant to the given BoSS number."
url: "https://developer.migros.ch/apis/boss-8/versions/cdc38772-5e50-4428-9af6-e93327470df4/operations/get-boss-data-by-boss-number"
---

> Full API specification: https://developer.migros.ch/apis/boss-8/versions/cdc38772-5e50-4428-9af6-e93327470df4.md

# Returns BoSS data which is relevant to the given BoSS number.

`GET` `/migros/products/v8/boss/{boss_number}`

Operation ID: `get-boss-data-by-boss-number`

Returns BoSS data which is relevant to the given BoSS number.

## Path parameters

- `boss_number` (string, required) - BoSS number to retrieve data for

## Query parameters

- `lang` (string, optional) - Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param "lang" or header "Accept-Language", not both.

## Header parameters

- `Accept-Language` (string, optional) - Defines the language (de/fr/it/en) for this request as request header. Either use the query param "lang" or header "Accept-Language", not both.

## Responses

- `200` - Returned when successful

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: BoSS
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/boss/{boss_number}:
    get:
      description: Returns BoSS data which is relevant to the given BoSS number.
      operationId: get-boss-data-by-boss-number
      parameters:
        - description: BoSS number to retrieve data for
          in: path
          name: boss_number
          required: true
          schema:
            type: string
        - $ref: "#/components/parameters/lang"
        - $ref: "#/components/parameters/Accept-Language"
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/BossDataCollection"
          description: Returned when successful
      summary: Returns BoSS data which is relevant to the given BoSS number.
      tags:
        - BoSS
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  parameters:
    lang:
      description: Defines the language (de/fr/it/en) for this request as query
        parameter. Either use the query param "lang" or header
        "Accept-Language", not both.
      in: query
      name: lang
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
    Accept-Language:
      description: Defines the language (de/fr/it/en) for this request as request
        header. Either use the query param "lang" or header "Accept-Language",
        not both.
      in: header
      name: Accept-Language
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
  schemas:
    BossDataCollection:
      properties:
        boss:
          description: Items of the collection.
          items:
            $ref: "#/components/schemas/BossData"
          type: array
        total_hits:
          description: >-
            The total hits may exceed the actual count of results in the
            collection.


            It represents the total number of results of a search and not only
            the

            potentially paginated subset.
          type: integer
      required:
        - boss
        - total_hits
      type: object
    BossData:
      description: Represents the BoSS information.
      properties:
        bb_id:
          type: string
        best_practice:
          nullable: true
          type: string
        boss_number:
          description: |-
            Status of the BoSS range.

            10 - Reserved
            20 - Planned
            30 - Active
            40 - Spinout
            50 - Inactive
          type: string
        bw_id:
          type: string
        category_id:
          nullable: true
          type: string
        category_name:
          nullable: true
          type: string
        current_status:
          type: string
        current_valid_from:
          format: date
          type: string
        department_id:
          nullable: true
          type: string
        department_name:
          nullable: true
          type: string
        fa_id:
          type: string
        future_status:
          description: |-
            Future status of the BoSS range.

            10 - Reserved
            20 - Planned
            30 - Active
            40 - Spinout
            50 - Inactive
          nullable: true
          type: string
        future_valid_from:
          format: date
          type: string
        level:
          type: integer
        management_id:
          description: ID of "Direktion".
          nullable: true
          type: string
        management_name:
          description: Name of "Direktion".
          nullable: true
          type: string
        name:
          type: string
        responsible_person:
          nullable: true
          type: string
        rpa_flag:
          nullable: true
          type: string
        section_id:
          description: ID of "Sparte".
          nullable: true
          type: string
        section_name:
          description: Name of "Sparte".
          nullable: true
          type: string
        th_id:
          type: string
        vs_id:
          type: string
      required:
        - boss_number
        - bb_id
        - bw_id
        - vs_id
        - th_id
        - fa_id
        - name
        - current_status
        - current_valid_from
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
